This is an automated email from the ASF dual-hosted git repository.
jimjag pushed a commit to branch main
in repository https://gitbox.apache.org/repos/asf/openoffice-devtools.git
The following commit(s) were added to refs/heads/main by this push:
new 830b01b macOS build script AOO 4.2.x
830b01b is described below
commit 830b01b5b5da56536284f04373e323a0e5390d4c
Author: Jim Jagielski <[email protected]>
AuthorDate: Tue Jul 28 16:34:08 2026 -0400
macOS build script AOO 4.2.x
---
.../build_aoo64bit_on_macosarm.sh} | 12 ++++++------
build-scripts/4.2.0-Dev6/unxmacos/build_aoo64bit_on_macos.sh | 9 ++++-----
2 files changed, 10 insertions(+), 11 deletions(-)
diff --git a/build-scripts/4.2.0-Dev6/unxmacos/build_aoo64bit_on_macos.sh
b/build-scripts/4.2.0-Dev6/unxmaccr/build_aoo64bit_on_macosarm.sh
similarity index 97%
copy from build-scripts/4.2.0-Dev6/unxmacos/build_aoo64bit_on_macos.sh
copy to build-scripts/4.2.0-Dev6/unxmaccr/build_aoo64bit_on_macosarm.sh
index a99670d..c0c548b 100755
--- a/build-scripts/4.2.0-Dev6/unxmacos/build_aoo64bit_on_macos.sh
+++ b/build-scripts/4.2.0-Dev6/unxmaccr/build_aoo64bit_on_macosarm.sh
@@ -36,16 +36,15 @@ set -eo pipefail
#
# OS:
#
-# o OSX 10.15.7 (Catalina)
-# o Xcode 11.7 (for community builds)
-# o jdk 1.7.0_80.jdk
-# o openjdk 1.8.0_275.jdk
+# o OSX 15.5
+# o Xcode 16.4 (for community builds)
+# o openjdk 1.8
#
#
# Build options
#
-AOO_MACOS_TARGET=10.9
+AOO_MACOS_TARGET=11.0
AOO_MACOS_SDK=
AOO_JAVA_VERSION=1.8
AOO_ANT_VERSION=1.10
@@ -159,6 +158,7 @@ if [ "$AOO_SKIP_CONFIG" != "yes" ]; then
--with-system-libxslt=/usr/local \
--with-system-libxml=/usr/local \
--with-system-curl=/usr/local \
+ --with-system-expat=/usr/local \
--enable-category-b \
--enable-beanshell \
--enable-bundled-dictionaries \
@@ -184,7 +184,7 @@ fi
unset SDKROOT
export SDKROOT
./bootstrap || exit 1
-source ./MacOSXX64Env.Set.sh || exit 1
+source ./MacOSXAARCH64Env.Set.sh || exit 1
cd instsetoo_native
time perl "$SOLARENV/bin/build.pl" --all -- -P8 || exit 1
diff --git a/build-scripts/4.2.0-Dev6/unxmacos/build_aoo64bit_on_macos.sh
b/build-scripts/4.2.0-Dev6/unxmacos/build_aoo64bit_on_macos.sh
index a99670d..2800fb6 100755
--- a/build-scripts/4.2.0-Dev6/unxmacos/build_aoo64bit_on_macos.sh
+++ b/build-scripts/4.2.0-Dev6/unxmacos/build_aoo64bit_on_macos.sh
@@ -36,16 +36,15 @@ set -eo pipefail
#
# OS:
#
-# o OSX 10.15.7 (Catalina)
-# o Xcode 11.7 (for community builds)
-# o jdk 1.7.0_80.jdk
-# o openjdk 1.8.0_275.jdk
+# o OSX 15.5
+# o Xcode 16.4 (for community builds)
+# o openjdk 1.8
#
#
# Build options
#
-AOO_MACOS_TARGET=10.9
+AOO_MACOS_TARGET=11.0
AOO_MACOS_SDK=
AOO_JAVA_VERSION=1.8
AOO_ANT_VERSION=1.10